Payment Initialization
Endpoint: POST /api/repayment/init/{$customerKey}
Request body:
| Field | Required | Type | Description |
|---|---|---|---|
| return_url | ✅ | string (url) | Redirect URL after payment |
| contract_id | If contract_name is not specified | int | ID of an open contract |
| contract_name | If contract_id is not specified | string | Number of an open contract |
| amount | ✅ | numeric | Amount to pay |
| cardToken | ❌ | string | Card token from /api/card/search method |
| pay_system | ✅ | string | Payment system name. Check with your manager |
| options | ❌ | object | Additional payment options |
options.prolongation object
| Field | Required | Type | Description |
|---|---|---|---|
| period | ✅ | int | Prolongation period in days |
| code | ✅ | string | Signing code from SMS |
| prolongationProcessId | ❌ | int | Prolongation process ID (Default: 1014334) |
| afterProlongationProcessId | ❌ | int | Process ID to execute after prolongation |
Response:
json
{
"status": "ok",
"timestamp": "1646916652000",
"data": {
"url": "" // Payment form link
}
}